# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/ger.pm) perl(Perinci/Access/Perl.pm) perl(Perinci/CmdLine/Dump.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Builder.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Rinci.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Test-Rinci-CmdLine
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Test Rinci metadata of Perinci::CmdLine scripts
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Test-Rinci-CmdLine

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is like the Test::Rinci manpage except that it looks for metadata in the
`main' package of scripts, instead of modules.

=for Pod::Coverage ^(all_scripts)$

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Jan 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

